//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Check
    {
        public int CheckId { get; set; }
        public Nullable<int> TransactionId { get; set; }
        public Nullable<int> ChargeTransactionId { get; set; }
        public Nullable<int> PaymentTransactionId { get; set; }
        public System.DateTime RecievedDate { get; set; }
        public int BankId { get; set; }
        public string Number { get; set; }
        public System.DateTime DueDate { get; set; }
        public Nullable<int> DaysToDueDate { get; set; }
        public decimal Amount { get; set; }
        public int Status { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public bool Own { get; set; }
        public string Observation { get; set; }
    
        public virtual Bank Bank { get; set; }
        public virtual Transaction Transaction { get; set; }
        public virtual Transaction Transaction1 { get; set; }
        public virtual Transaction Transaction2 { get; set; }
    }
}
